package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.validator.AddGroup;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class CheckImageDto {
    /**
     * 验证码标识
     */
    @NotBlank(message = "验证码标识uuid不能为空！", groups = {AddGroup.class})
    private String uuid;
    /**
     * 验证码
     */
    @NotBlank(message = "验证码不能为空！", groups = {AddGroup.class})
    private String code;
    /**
     * 手机号
     */
    @NotBlank(message = "手机号不能为空！", groups = {AddGroup.class})
    private String phoneNumber;

    /**
     * 地区编号
     */
    @NotBlank(message = "地区编号不能为空！", groups = {AddGroup.class})
    private String countryCode;
}
