package com.tourism.webadmin.app.website.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 计算参团总价参数对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "计算参团总价参数对象")
@Data
public class TourCalcTotalAmountParam {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;


    /**
     * 成人人数。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "成人人数。")
    private Integer adultCount;

    /**
     * 儿童人数。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "儿童人数。")
    private Integer childrenCount;

}
