package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.object.MyOrderParam;
import com.tourism.common.core.validator.ConstDictRef;
import com.tourism.common.core.validator.UpdateGroup;
import com.tourism.webadmin.back.model.constant.Enable;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 拼团设置主表Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "拼团设置主表Dto对象")
@Data
public class TourGroupUserToWebDto {

    /**
     * 项目id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "项目id。")
    private Long projectId;

    /**
     * 团购id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "团购id。")
    private Long groupPurchaseProgressId;
}
