package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.validator.UpdateGroup;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Data
public class TourismCollectDto {

    /**
     * 游记id
     */
    @Schema(description = "游记id。")
    @NotBlank(message = "游记id不能为空",groups = {UpdateGroup.class})
    private String travelNotesId;

    /**
     * 类型（0取消收藏 1收藏）。
     */
    @Schema(description = "类型。")
    @NotNull(message = "类型不能为空",groups = {UpdateGroup.class})
    private Integer type;
}
