package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.validator.UpdateGroup;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import static io.lettuce.core.pubsub.PubSubOutput.Type.message;

@Data
public class TourismProjectTravelNotesWriteDetailPageDto {

    @Schema(description = "游记ID")
    @NotNull(message = "草稿id不允许为空!",groups = {UpdateGroup.class})
    private Long travelNotesId;

    @Schema(description = "类型(0,草稿;1,待审核;2,审核未通过;3,审核通过")
    @NotNull(message = "类型不允许为空!",groups = {UpdateGroup.class})
    private Integer type;

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    private Integer pageSize;

    /**
     * 是否统计totalCount。
     */
    @Schema(description = "是否统计totalCount。")
    private Boolean count;
}
