package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.validator.UpdateGroup;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.util.Date;

/**
 * 门户网站用户管理Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "WebsiteTourUserDto对象")
@Data
public class WebsiteTourUserDto {

    /**
     *  昵称
     */
    @NotBlank(message = "昵称不能为空！", groups = {UpdateGroup.class})
    private String showName;

    /**
     *  邮箱
     */
    @NotBlank(message = "邮箱不能为空！", groups = {UpdateGroup.class})
    private String email;

    /**
     *  手机号
     */
//    private String mobile;

    /**
     *  性别
     */
    private Integer sex;

    /**
     *  生日
     */
    private Date birthday;

    /**
     *  头像
     */
    private String headImageUrl;

    /**
     *  住址
     */
    private String address;

    /**
     *  职业
     */
    private String job;

    /**
     *  个性签名
     */
    private String personalSign;


}
