package com.tourism.webadmin.app.wechat.dto;

import com.tourism.common.core.validator.ConstDictRef;
import com.tourism.webadmin.back.model.constant.IsBestNewShop;
import com.tourism.webadmin.back.model.constant.IsSelectShop;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * BestNewShopDto。
 *
 * @author huangwen
 * @date 2024/11/2
 */
@Schema(description = "BestNewShopDto")
@Data
public class BestNewShopDto extends PageInfo {

    /**
     * 精选好店 标记 1是 2 不是。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "精选好店 标记 1是 2 不是。可支持等于操作符的列表数据过滤。")
    @ConstDictRef(constDictClass = IsSelectShop.class, message = "数据验证失败，精选好店 标记 1是 2 不是为无效值！")
    private Integer isSelectShop;

    /**
     * 优选新店 标记 1是 2 不是。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "优选新店 标记 1是 2 不是。可支持等于操作符的列表数据过滤。")
    @ConstDictRef(constDictClass = IsBestNewShop.class, message = "数据验证失败，优选新店 标记 1是 2 不是为无效值！")
    private Integer isBestNewShop;

}
