package com.tourism.webadmin.app.wechat.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import shade.jetbrains.annotations.NotNull;

import static io.lettuce.core.pubsub.PubSubOutput.Type.message;

/**
 * ShopFoodDto接口。
 *
 * @author huangwen
 * @date 2024/10/23
 */
@Schema(description = "MapDto对象")
@Data
public class ShopFoodDto extends PageInfo{
    /**
     * 店铺restaurantId。
     */
    @NotNull
    @Schema(description = "店铺restaurantId")
    private String restaurantId;

    /**
     * 饭馆美食种类id。
     */
    @Schema(description = "饭馆美食种类id")
    private Long foodTypeId;

    /**
     * 菜品名称。
     */
    @Schema(description = "菜品名称")
    private String name;

}
