package com.tourism.webadmin.app.wechat.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * WechatIndexJobProjectVo接口。
 *
 * @author huangwen
 * @date 2024/11/1
 */
@Schema(description = "WechatIndexJobProjectVo视图对象")
@Data
public class WechatIndexJobProjectDto extends PageInfo{
    /**
     * 是否急聘(0:否 1:是)。
     */
    @Schema(description = "是否急聘(0:否 1:是)")
    private Integer isUrgent;

    /**
     * 是否热点。
     */
    @Schema(description = "是否热点，0非热点，1热点")
    private Integer isHotspot;

    /**
     * 是否最新。
     */
    @Schema(description = "是否最新，1最新")
    private Integer isNew;

    /**
     * 是否启用。
     */
    @Schema(description = "是否启用，0禁用，1启用")
    private Integer enable;

    /**
     * 项目Title。
     */
    @Schema(description = "项目Title")
    private String jobTitle;
}
