package com.tourism.webadmin.app.wechat.vo.shopfood;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * SelectShopFoodVo接口。
 *
 * @author huangwen
 * @date 2024/10/23
 */
@Schema(description = "SelectShopFoodVo视图对象")
@Data
public class SelectShopFoodVo {

    /**
     * 主键id。
     */
    @Schema(description = "美食id")
    private String Id;

    /**
     * 菜品名称。
     */
    @Schema(description = "菜品名称")
    private String name;

    /**
     * 菜品图片。
     */
    @Schema(description = "菜品图片")
    private String url;

    /**
     * urlAfterConvert url转换后的地址。
     */
    @Schema(description = "urlAfterConvert url转换后的地址")
    private List<String> urlAfterConvert;

    /**
     * 菜品价格。
     */
    @Schema(description = "菜品价格")
    private BigDecimal price;

    /**
     * 价格单位。
     */
    @Schema(description = "价格单位")
    private String priceUnit;
    @Schema(description = "销量")
    private Integer sales;
}
