package com.tourism.webadmin.app.wechat.vo.shopfood;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 精选好店Vo。
 *
 * @author huangwen
 * @date 2024/10/22
 */
@Schema(description = "精选好店Vo")
@Data
public class WechatSelectShopVo {

    /**
     * 主键id。
     */
    @Schema(description = "店铺id")
    private String id;

    /**
     * 店铺名称。
     */
    @Schema(description = "店铺名称")
    private String name;

    /**
     * 店铺标签。
     */
    @Schema(description = "店铺标签")
    private String tag;

    /**
     * 店铺标签列表。
     */
    @Schema(description = "店铺标签")
    private String[] tags;


    /**
     * 送餐时间/min。
     */
    @TableField(value = "delivery_time")
    private Integer deliveryTime;


    /**
     * 店铺地址。
     */
    @Schema(description = "店铺地址")
    private String address;

    /**
     * 店铺图片。
     */
    @Schema(description = "店铺图片")
    private String url;

    /**
     * 推荐指数。
     */
    @Schema(description = "推荐指数")
    private String recommendationRate;

    /**
     * urlAfterConvert url转换后的地址。
     */
    @Schema(description = "urlAfterConvert url转换后的地址")
    private List<String> urlAfterConvert;

    /**
     * foodList 精选好店美食列表。
     */
    @Schema(description = "foodList 精选好店美食列表")
    private List<SelectShopFoodVo> foodList;

    /**
     * 工作时间段(例:8:00-19:00)。
     */
    @Schema(description = "工作时间段(例:8:00-19:00)")
    private String workTime;
    /**
     * 经度。
     */
    @Schema(description = "经度")
    private BigDecimal longitude;

    /**
     * 纬度。
     */
    @Schema(description = "纬度")
    private BigDecimal latitude;
    /**
     * 销量。
     */
    @Schema(description = "销量")
    private Long totalSales;

}
