package com.tourism.webadmin.app.wechat.vo.shopfood;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tourism.common.core.object.MyPageData;
import com.tourism.common.core.util.MyDateUtil;
import com.tourism.webadmin.back.vo.RestaurantFoodInfoVo;
import com.tourism.webadmin.back.vo.RestaurantInfoVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * WechatShopAndFoodsVo接口。
 *
 * @author huangwen
 * @date 2024/10/23
 */


@Schema(description = "店铺以及食品列表")
@Data
public class WechatShopAndFoodsVo {

    /**
     * 店铺对象。
     */
    @Schema(description = "店铺")
    private RestaurantInfoVo restaurantInfoVo;

    /**
     * 店铺内食品列表。
     */
    @Schema(description = "店铺内食品列表")
    private MyPageData<RestaurantFoodInfoVo> restaurantFoodInfoVoMyPageData;


    }
