package com.tourism.webadmin.app.wechat.vo.tourism;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * IndexHotDestinationVo接口。
 *
 * @author huangwen
 * @date 2024/10/23
 */

@Schema(description = "IndexHotDestinationVo视图对象")
@Data
public class IndexHotDestinationVo {

    /**
     * 项目id。
     */
    @Schema(description = "项目id")
    private String id;

    /**
     * 一级分类id。
     */
    @Schema(description = "一级分类id")
    private Long belongTab;

    /**
     * 一级分类名称。
     */
    @Schema(description = "一级分类名称")
    private String menuName;

    /**
     * 目的地。
     */
    @Schema(description = "目的地")
    private String endPlace;

    /**
     * 热点图片。
     */
    @Schema(description = "热点图片")
    private String homeHotPicture;

    /**
     * 标签。
     */
    @Schema(description = "标签")
    private String projectLabel;

    /**
     * hotPictureUrlsAfterConvert 转换后的热点图片url。
     */
    @Schema(description = "转换后的热点图片url")
    private List<String> homeHotPicturesAfterConvert;

}
