package com.tourism.webadmin.app.wechat.vo.tourism;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * IndexBannerTravelNoteVo接口。
 *
 * @author huangwen
 * @date 2024/10/22
 */
@Schema(description = "IndexBannerTravelNoteVo视图对象")
@Data
public class IndexHotProjectTravelNoteVo {

    /**
     * id。
     */
    @Schema(description = "游记id")
    private Long id;

    /**
     * 点赞量。
     */
    @Schema(description = "点赞量")
    private Integer likeCount;

    /**
     * 浏览量。
     */
    @Schema(description = "浏览量")
    private Integer pageViewCount;
    /**
     * 项目标题。
     */
    @Schema(description = "项目标题")
    private String projectTitle;

    /**
     * 短标题。
     */
    @Schema(description = "短标题")
    private String shortTitle;

    /**
     * 热门图片。
     */
    @Schema(description = "热门图片")
    private String homeHotPicture ;

    /**
     * homeHotPicture 转换后的图片对象。
     */
    @Schema(description = "homeHotPicture转换后的图片对象")
    private List<String> homeHotPicturesAfterConvert;;
}
