package com.tourism.webadmin.app.wechat.vo.tourism;

import com.tourism.webadmin.back.model.TourismContent;
import com.tourism.webadmin.back.model.TourismFile;
import com.tourism.webadmin.back.vo.TourismContentVo;
import com.tourism.webadmin.back.vo.TourismFileVo;
import com.tourism.webadmin.back.vo.TourismProjectVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * WechatProjectDetailVo接口。
 *
 * @author huangwen
 * @date 2024/11/1
 */
@Schema(description = "IndexBannerTravelNoteVo视图对象")
@Data
public class WechatProjectDetailVo {

    /**
     * 项目详情信息
     */
    @Schema(description = "项目详情信息")
    private TourismProjectVo tourismProjectVo;

    /**
     * 项目图集
     */
    @Schema(description = "项目图集")
    private TourismFileVo tourismFileVo;

    /**
     * 行程路线、费用说明、预订须知
     */
    @Schema(description = "行程路线、费用说明、预订须知")
    private TourismContentVo tourismContentVo;

}
