package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.CountryCode;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 国家地区编码表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface CountryCodeMapper extends BaseDaoMapper<CountryCode> {

    /**
     * 批量插入对象列表。
     *
     * @param countryCodeList 新增对象列表。
     */
    void insertList(List<CountryCode> countryCodeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param countryCodeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<CountryCode> getCountryCodeList(
            @Param("countryCodeFilter") CountryCode countryCodeFilter, @Param("orderBy") String orderBy);
}
