package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourBusinessBanner;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 业务banner管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourBusinessBannerMapper extends BaseDaoMapper<TourBusinessBanner> {

    /**
     * 批量插入对象列表。
     *
     * @param tourBusinessBannerList 新增对象列表。
     */
    void insertList(List<TourBusinessBanner> tourBusinessBannerList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourBusinessBannerFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourBusinessBanner> getTourBusinessBannerList(
            @Param("tourBusinessBannerFilter") TourBusinessBanner tourBusinessBannerFilter, @Param("orderBy") String orderBy);
}
