package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourCarContractMenu;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 包车区域菜单数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourCarContractMenuMapper extends BaseDaoMapper<TourCarContractMenu> {

    /**
     * 批量插入对象列表。
     *
     * @param tourCarContractMenuList 新增对象列表。
     */
    void insertList(List<TourCarContractMenu> tourCarContractMenuList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourCarContractMenuFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourCarContractMenu> getTourCarContractMenuList(
            @Param("tourCarContractMenuFilter") TourCarContractMenu tourCarContractMenuFilter, @Param("orderBy") String orderBy);
}
