package com.tourism.webadmin.back.dao;

import com.tourism.common.core.annotation.EnableDataPerm;
import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourCarDriver;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 包车司机数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@EnableDataPerm
public interface TourCarDriverMapper extends BaseDaoMapper<TourCarDriver> {

    /**
     * 批量插入对象列表。
     *
     * @param tourCarDriverList 新增对象列表。
     */
    void insertList(List<TourCarDriver> tourCarDriverList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourCarDriverFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourCarDriver> getTourCarDriverList(
            @Param("tourCarDriverFilter") TourCarDriver tourCarDriverFilter, @Param("orderBy") String orderBy);
}
