package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourCarModel;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 包车车型数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourCarModelMapper extends BaseDaoMapper<TourCarModel> {

    /**
     * 批量插入对象列表。
     *
     * @param tourCarModelList 新增对象列表。
     */
    void insertList(List<TourCarModel> tourCarModelList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourCarModelFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourCarModel> getTourCarModelList(
            @Param("tourCarModelFilter") TourCarModel tourCarModelFilter, @Param("orderBy") String orderBy);
}
