package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourCountryCode;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 国家地区代码表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourCountryCodeMapper extends BaseDaoMapper<TourCountryCode> {

    /**
     * 批量插入对象列表。
     *
     * @param tourCountryCodeList 新增对象列表。
     */
    void insertList(List<TourCountryCode> tourCountryCodeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourCountryCodeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourCountryCode> getTourCountryCodeList(
            @Param("tourCountryCodeFilter") TourCountryCode tourCountryCodeFilter, @Param("orderBy") String orderBy);

    List<Map> selectUrlById(@Param("collect") Set<Long> collect);
}
