package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourHouseAdvisorRelation;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 买卖房与顾问的关联表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourHouseAdvisorRelationMapper extends BaseDaoMapper<TourHouseAdvisorRelation> {

    /**
     * 批量插入对象列表。
     *
     * @param tourHouseAdvisorRelationList 新增对象列表。
     */
    void insertList(List<TourHouseAdvisorRelation> tourHouseAdvisorRelationList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourHouseAdvisorRelationFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseAdvisorRelation> getTourHouseAdvisorRelationList(
            @Param("tourHouseAdvisorRelationFilter") TourHouseAdvisorRelation tourHouseAdvisorRelationFilter, @Param("orderBy") String orderBy);
}
