package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourHouseDevelopersType;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 开发商分类管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourHouseDevelopersTypeMapper extends BaseDaoMapper<TourHouseDevelopersType> {

    /**
     * 批量插入对象列表。
     *
     * @param tourHouseDevelopersTypeList 新增对象列表。
     */
    void insertList(List<TourHouseDevelopersType> tourHouseDevelopersTypeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourHouseDevelopersTypeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseDevelopersType> getTourHouseDevelopersTypeList(
            @Param("tourHouseDevelopersTypeFilter") TourHouseDevelopersType tourHouseDevelopersTypeFilter, @Param("orderBy") String orderBy);
}
