package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourHouseEquipment;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 租赁房屋配套设施数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourHouseEquipmentMapper extends BaseDaoMapper<TourHouseEquipment> {

    /**
     * 批量插入对象列表。
     *
     * @param tourHouseEquipmentList 新增对象列表。
     */
    void insertList(List<TourHouseEquipment> tourHouseEquipmentList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourHouseEquipmentFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseEquipment> getTourHouseEquipmentList(
            @Param("tourHouseEquipmentFilter") TourHouseEquipment tourHouseEquipmentFilter, @Param("orderBy") String orderBy);
}
