package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourHouseFiles;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 房屋图集信息管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourHouseFilesMapper extends BaseDaoMapper<TourHouseFiles> {

    /**
     * 批量插入对象列表。
     *
     * @param tourHouseFilesList 新增对象列表。
     */
    void insertList(List<TourHouseFiles> tourHouseFilesList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourHouseFilesFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseFiles> getTourHouseFilesList(
            @Param("tourHouseFilesFilter") TourHouseFiles tourHouseFilesFilter, @Param("orderBy") String orderBy);
}
