package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourHouseRentInfo;
import com.tourism.webadmin.back.model.TourHouseEquipment;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 租赁房屋信息数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourHouseRentInfoMapper extends BaseDaoMapper<TourHouseRentInfo> {

    /**
     * 批量插入对象列表。
     *
     * @param tourHouseRentInfoList 新增对象列表。
     */
    void insertList(List<TourHouseRentInfo> tourHouseRentInfoList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourHouseRentInfoFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseRentInfo> getTourHouseRentInfoList(
            @Param("tourHouseRentInfoFilter") TourHouseRentInfo tourHouseRentInfoFilter, @Param("orderBy") String orderBy);

    /**
     * 获取过滤后的对象列表。同时支持基于一对一从表字段的过滤条件。
     *
     * @param tourHouseRentInfoFilter 主表过滤对象。
     * @param tourHouseEquipmentFilter 一对一从表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseRentInfo> getTourHouseRentInfoListEx(
            @Param("tourHouseRentInfoFilter") TourHouseRentInfo tourHouseRentInfoFilter,
            @Param("tourHouseEquipmentFilter") TourHouseEquipment tourHouseEquipmentFilter,
            @Param("orderBy") String orderBy);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourHouseRentInfoFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseRentInfo> getTourHouseRentInfoListWithArea(
            @Param("tourHouseRentInfoFilter") TourHouseRentInfo tourHouseRentInfoFilter, @Param("orderBy") String orderBy);
}
