package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.*;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 买卖房屋信息管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourHouseSaleInfoMapper extends BaseDaoMapper<TourHouseSaleInfo> {

    /**
     * 批量插入对象列表。
     *
     * @param tourHouseSaleInfoList 新增对象列表。
     */
    void insertList(List<TourHouseSaleInfo> tourHouseSaleInfoList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourHouseSaleInfoFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseSaleInfo> getTourHouseSaleInfoList(
            @Param("tourHouseSaleInfoFilter") TourHouseSaleInfo tourHouseSaleInfoFilter, @Param("orderBy") String orderBy);

    /**
     * 获取过滤后的对象列表。同时支持基于一对一从表字段的过滤条件。
     *
     * @param tourHouseSaleInfoFilter 主表过滤对象。
     * @param tourHouseDevelopersTypeFilter 一对一从表过滤对象。
     * @param tourHouseFilesFilter 一对多从表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourHouseSaleInfo> getTourHouseSaleInfoListEx(
            @Param("tourHouseSaleInfoFilter") TourHouseSaleInfo tourHouseSaleInfoFilter,
            @Param("tourHouseDevelopersTypeFilter") TourHouseDevelopersType tourHouseDevelopersTypeFilter,
            @Param("tourHouseFilesFilter") TourHouseFiles tourHouseFilesFilter,
            @Param("orderBy") String orderBy);

    List<TourHouseSaleInfo> getTourHouseSaleInfoListWithArea(@Param("tourHouseSaleInfoFilter")
                                                             TourHouseSaleInfo tourHouseSaleInfoFilter, @Param("orderBy") String orderBy);

}
