package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourMapData;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 城市定位管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourMapDataMapper extends BaseDaoMapper<TourMapData> {

    /**
     * 批量插入对象列表。
     *
     * @param tourMapDataList 新增对象列表。
     */
    void insertList(List<TourMapData> tourMapDataList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourMapDataFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourMapData> getTourMapDataList(
            @Param("tourMapDataFilter") TourMapData tourMapDataFilter, @Param("orderBy") String orderBy);
}
