package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourNotice;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 消息通知表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourNoticeMapper extends BaseDaoMapper<TourNotice> {

    /**
     * 批量插入对象列表。
     *
     * @param tourNoticeList 新增对象列表。
     */
    void insertList(List<TourNotice> tourNoticeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourNoticeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourNotice> getTourNoticeList(
            @Param("tourNoticeFilter") TourNotice tourNoticeFilter, @Param("orderBy") String orderBy);
}
