package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourOrderPassenage;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 旅游订单游客数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourOrderPassenageMapper extends BaseDaoMapper<TourOrderPassenage> {

    /**
     * 批量插入对象列表。
     *
     * @param tourOrderPassenageList 新增对象列表。
     */
    void insertList(List<TourOrderPassenage> tourOrderPassenageList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourOrderPassenageFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourOrderPassenage> getTourOrderPassenageList(
            @Param("tourOrderPassenageFilter") TourOrderPassenage tourOrderPassenageFilter, @Param("orderBy") String orderBy);
}
