package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourProjectGroupPurchaseApply;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 开团申请列表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourProjectGroupPurchaseApplyMapper extends BaseDaoMapper<TourProjectGroupPurchaseApply> {

    /**
     * 批量插入对象列表。
     *
     * @param tourProjectGroupPurchaseApplyList 新增对象列表。
     */
    void insertList(List<TourProjectGroupPurchaseApply> tourProjectGroupPurchaseApplyList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourProjectGroupPurchaseApplyFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourProjectGroupPurchaseApply> getTourProjectGroupPurchaseApplyList(
            @Param("tourProjectGroupPurchaseApplyFilter") TourProjectGroupPurchaseApply tourProjectGroupPurchaseApplyFilter, @Param("orderBy") String orderBy);
}
