package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourProjectGroupPurchaseBanner;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 拼团首页banner数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourProjectGroupPurchaseBannerMapper extends BaseDaoMapper<TourProjectGroupPurchaseBanner> {

    /**
     * 批量插入对象列表。
     *
     * @param tourProjectGroupPurchaseBannerList 新增对象列表。
     */
    void insertList(List<TourProjectGroupPurchaseBanner> tourProjectGroupPurchaseBannerList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourProjectGroupPurchaseBannerFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourProjectGroupPurchaseBanner> getTourProjectGroupPurchaseBannerList(
            @Param("tourProjectGroupPurchaseBannerFilter") TourProjectGroupPurchaseBanner tourProjectGroupPurchaseBannerFilter, @Param("orderBy") String orderBy);
}
