package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourProjectGroupPurchaseDetail;
import com.tourism.webadmin.back.model.TourProjectGroupPurchase;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.*;

/**
 * 拼团设置从表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourProjectGroupPurchaseDetailMapper extends BaseDaoMapper<TourProjectGroupPurchaseDetail> {

    /**
     * 批量插入对象列表。
     *
     * @param tourProjectGroupPurchaseDetailList 新增对象列表。
     */
    void insertList(List<TourProjectGroupPurchaseDetail> tourProjectGroupPurchaseDetailList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourProjectGroupPurchaseDetailFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourProjectGroupPurchaseDetail> getTourProjectGroupPurchaseDetailList(
            @Param("tourProjectGroupPurchaseDetailFilter") TourProjectGroupPurchaseDetail tourProjectGroupPurchaseDetailFilter, @Param("orderBy") String orderBy);

    /**
     * 获取过滤后的对象列表。同时支持基于一对一从表字段的过滤条件。
     *
     * @param tourProjectGroupPurchaseDetailFilter 主表过滤对象。
     * @param tourProjectGroupPurchaseFilter 一对多从表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourProjectGroupPurchaseDetail> getTourProjectGroupPurchaseDetailListEx(
            @Param("tourProjectGroupPurchaseDetailFilter") TourProjectGroupPurchaseDetail tourProjectGroupPurchaseDetailFilter,
            @Param("tourProjectGroupPurchaseFilter") TourProjectGroupPurchase tourProjectGroupPurchaseFilter,
            @Param("orderBy") String orderBy);
}
