package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTravelNotesComment;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 游记评论数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTravelNotesCommentMapper extends BaseDaoMapper<TourTravelNotesComment> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTravelNotesCommentList 新增对象列表。
     */
    void insertList(List<TourTravelNotesComment> tourTravelNotesCommentList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTravelNotesCommentFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTravelNotesComment> getTourTravelNotesCommentList(
            @Param("tourTravelNotesCommentFilter") TourTravelNotesComment tourTravelNotesCommentFilter, @Param("orderBy") String orderBy);

    /**
     * 根据parent_id删除游记评论数据。
     */
//    @Delete("delete from tour_travel_notes_comment where parent_id = #{parentId}")
    boolean deleteChildrenComment(@Param("parentId") Long id);
}
