package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTravelNotesProjectRelation;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 游记与项目关联数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTravelNotesProjectRelationMapper extends BaseDaoMapper<TourTravelNotesProjectRelation> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTravelNotesProjectRelationList 新增对象列表。
     */
    void insertList(List<TourTravelNotesProjectRelation> tourTravelNotesProjectRelationList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTravelNotesProjectRelationFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTravelNotesProjectRelation> getTourTravelNotesProjectRelationList(
            @Param("tourTravelNotesProjectRelationFilter") TourTravelNotesProjectRelation tourTravelNotesProjectRelationFilter, @Param("orderBy") String orderBy);
}
