package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourVisaCounselor;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 签证顾问信息数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourVisaCounselorMapper extends BaseDaoMapper<TourVisaCounselor> {

    /**
     * 批量插入对象列表。
     *
     * @param tourVisaCounselorList 新增对象列表。
     */
    void insertList(List<TourVisaCounselor> tourVisaCounselorList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourVisaCounselorFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourVisaCounselor> getTourVisaCounselorList(
            @Param("tourVisaCounselorFilter") TourVisaCounselor tourVisaCounselorFilter, @Param("orderBy") String orderBy);
}
