package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourVisa;
import com.tourism.webadmin.back.model.VisaMetarialsList;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 签证信息管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourVisaMapper extends BaseDaoMapper<TourVisa> {

    /**
     * 批量插入对象列表。
     *
     * @param tourVisaList 新增对象列表。
     */
    void insertList(List<TourVisa> tourVisaList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourVisaFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourVisa> getTourVisaList(
            @Param("tourVisaFilter") TourVisa tourVisaFilter, @Param("orderBy") String orderBy);

    /**
     * 获取过滤后的对象列表。同时支持基于一对一从表字段的过滤条件。
     *
     * @param tourVisaFilter 主表过滤对象。
     * @param visaMetarialsListFilter 一对多从表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourVisa> getTourVisaListEx(
            @Param("tourVisaFilter") TourVisa tourVisaFilter,
            @Param("visaMetarialsListFilter") VisaMetarialsList visaMetarialsListFilter,
            @Param("orderBy") String orderBy);
}
