package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourVisaOrder;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 签证订单类型信息数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourVisaOrderMapper extends BaseDaoMapper<TourVisaOrder> {

    /**
     * 批量插入对象列表。
     *
     * @param tourVisaOrderList 新增对象列表。
     */
    void insertList(List<TourVisaOrder> tourVisaOrderList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourVisaOrderFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourVisaOrder> getTourVisaOrderList(
            @Param("tourVisaOrderFilter") TourVisaOrder tourVisaOrderFilter, @Param("orderBy") String orderBy);
}
