package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourVisaType;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 签证类型信息数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourVisaTypeMapper extends BaseDaoMapper<TourVisaType> {

    /**
     * 批量插入对象列表。
     *
     * @param tourVisaTypeList 新增对象列表。
     */
    void insertList(List<TourVisaType> tourVisaTypeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourVisaTypeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourVisaType> getTourVisaTypeList(
            @Param("tourVisaTypeFilter") TourVisaType tourVisaTypeFilter, @Param("orderBy") String orderBy);
}
