package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourismDatePrice;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 旅游项目日历价格数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourismDatePriceMapper extends BaseDaoMapper<TourismDatePrice> {

    /**
     * 批量插入对象列表。
     *
     * @param tourismDatePriceList 新增对象列表。
     */
    void insertList(List<TourismDatePrice> tourismDatePriceList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourismDatePriceFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourismDatePrice> getTourismDatePriceList(
            @Param("tourismDatePriceFilter") TourismDatePrice tourismDatePriceFilter, @Param("orderBy") String orderBy);
}
