package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.VisaMetarialsList;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 签证基础资料管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface VisaMetarialsListMapper extends BaseDaoMapper<VisaMetarialsList> {

    /**
     * 批量插入对象列表。
     *
     * @param visaMetarialsListList 新增对象列表。
     */
    void insertList(List<VisaMetarialsList> visaMetarialsListList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param visaMetarialsListFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<VisaMetarialsList> getVisaMetarialsListList(
            @Param("visaMetarialsListFilter") VisaMetarialsList visaMetarialsListFilter, @Param("orderBy") String orderBy);
}
