package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 买卖房与顾问的关联表Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "买卖房与顾问的关联表Dto对象")
@Data
public class TourHouseAdvisorRelationDto {

    /**
     * 主键。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "主键。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 顾问id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "顾问id。可支持等于操作符的列表数据过滤。")
    private Long advisorId;

    /**
     * 房屋id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "房屋id。可支持等于操作符的列表数据过滤。")
    private Long houseId;
}
