package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 拼图的当前人数表Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "拼图的当前人数表Dto对象")
@Data
public class TourProjectGroupPurchaseProgressDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 关联拼团设置的id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "关联拼团设置的id。可支持等于操作符的列表数据过滤。")
    private Long groupPurchaseId;

    /**
     * 当前拼团的人数。
     */
    @Schema(description = "当前拼团的人数。")
    private Integer nowCount;

    /**
     * 拼团是否成功(0.失败;1.成功)。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "拼团是否成功(0.失败;1.成功)。可支持等于操作符的列表数据过滤。")
    private Integer success;
}
