package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 游记与项目关联Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourTravelNotesProjectRelationDto对象")
@Data
public class TourTravelNotesProjectRelationDto {

    /**
     * Id主键。
     */
    @Schema(description = "Id主键。", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long id;

    /**
     * 游记id。
     */
    @Schema(description = "游记id。")
    private Long travelNotesId;

    /**
     * 项目id。
     */
    @Schema(description = "项目id。")
    private Long projectId;
}
