package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 发布游记的文本框Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "发布游记的文本框Dto对象")
@Data
public class TourismTravelNotesContentWriteDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 关联表id。
     */
    @Schema(description = "关联表id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，关联表id不能为空！", groups = {UpdateGroup.class})
    private Long associationId;

    /**
     * 类型。
     */
    @Schema(description = "类型。")
    private String type;

    /**
     * 内容。
     */
    @Schema(description = "内容。")
    private String content;

    /**
     * 是否为封面图。
     */
    @Schema(description = "是否为封面图。")
    private Integer cover;
}
