package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.util.MyCommonUtil;
import lombok.Data;

/**
 * 中国行政区划信息实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_china_area")
public class ChinaArea {

    /**
     * 地区编码。
     */
    @TableId(value = "code")
    private Long code;

    /**
     * 地区名称。
     */
    @TableField(value = "name")
    private String name;

    /**
     * 城市编码。
     */
    @TableField(value = "city_code")
    private Long cityCode;

    /**
     * 城市名称。
     */
    @TableField(value = "city_name")
    private String cityName;

    /**
     * 省编码。
     */
    @TableField(value = "province_code")
    private Long provinceCode;

    /**
     * 省名称。
     */
    @TableField(value = "province_name")
    private String provinceName;

    /**
     * 国家。
     */
    @TableField(value = "country")
    private String country;

    /**
     * 等级 1：省,2：市,3：区县。
     */
    @TableField(value = "level")
    private Long level;

    /**
     * name LIKE搜索字符串。
     */
    @TableField(exist = false)
    private String searchString;

    public void setSearchString(String searchString) {
        this.searchString = MyCommonUtil.replaceSqlWildcard(searchString);
    }
}
