package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 国家地区编码表实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_country_code")
public class CountryCode extends BaseModel {

    /**
     * 主键。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 英文名称。
     */
    @TableField(value = "english_name")
    private String englishName;

    /**
     * 国家/地区。
     */
    @TableField(value = "country")
    private String country;

    /**
     * 国家代码。
     */
    @TableField(value = "country_code")
    private String countryCode;

    /**
     * 区号。
     */
    @TableField(value = "area_code")
    private String areaCode;

    /**
     * 拼音。
     */
    @TableField(value = "pin_yin")
    private String pinYin;

    /**
     * 拼音首字母。
     */
    @TableField(value = "first_code")
    private String firstCode;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;
}
