package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.util.MyCommonUtil;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 城市定位管理实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_map_data")
public class TourMapData {

    /**
     * id。
     */
    @TableId(value = "id")
    private String id;

    /**
     * 城市名称城市。
     */
    @TableField(value = "city_name")
    private String cityName;

    /**
     * 经度。
     */
    @TableField(value = "lon")
    private BigDecimal lon;

    /**
     * 纬度。
     */
    @TableField(value = "lat")
    private BigDecimal lat;

    /**
     * city_name LIKE搜索字符串。
     */
    @TableField(exist = false)
    private String searchString;

    public void setSearchString(String searchString) {
        this.searchString = MyCommonUtil.replaceSqlWildcard(searchString);
    }
}
