package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.util.MyCommonUtil;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 旅游订单游客实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_order_passenger")
public class TourOrderPassenage extends BaseModel {

    /**
     * ID主键。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 中文姓名。
     */
    @TableField(value = "chinese_name")
    private String chineseName;

    /**
     * 英文姓名。
     */
    @TableField(value = "english_name")
    private String englishName;

    /**
     * 国籍。
     */
    @TableField(value = "nationality")
    private String nationality;

    /**
     * 生日。
     */
    @TableField(value = "birthday")
    private Date birthday;

    /**
     * 手机号码。
     */
    @TableField(value = "mobile")
    private String mobile;

    /**
     * 订单号信息。
     */
    @TableField(value = "order_id")
    private Long orderId;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;

    /**
     * chinese_name / english_name / mobile LIKE搜索字符串。
     */
    @TableField(exist = false)
    private String searchString;

    public void setSearchString(String searchString) {
        this.searchString = MyCommonUtil.replaceSqlWildcard(searchString);
    }
}
