package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发布游记的文本框实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_tourism_travel_notes_content_writer")
public class TourismTravelNotesContentWrite extends BaseModel {

    /**
     * 主键id。
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联表id。
     */
    @TableField(value = "association_id")
    private Long associationId;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;

    /**
     * 类型。
     */
    @TableField(value = "type")
    private String type;

    /**
     * 内容。
     */
    @TableField(value = "content")
    private String content;

    /**
     * 是否为封面图。
     */
    @TableField(value = "cover")
    private Integer cover;
}
