package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.util.MyCommonUtil;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 签证基础资料管理实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_visa_metarials_list")
public class VisaMetarialsList extends BaseModel {

    /**
     * 基础材料id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 签证商品id。
     */
    @TableField(value = "visa_id")
    private Long visaId;

    /**
     * 基础材料名字。
     */
    @TableField(value = "title")
    private String title;

    /**
     * 基础材料介绍。
     */
    @TableField(value = "content")
    private String content;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "delete_flag")
    private Integer deleteFlag;

    /**
     * title LIKE搜索字符串。
     */
    @TableField(exist = false)
    private String searchString;

    public void setSearchString(String searchString) {
        this.searchString = MyCommonUtil.replaceSqlWildcard(searchString);
    }
}
