package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 中国行政区划信息VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "中国行政区划信息VO视图对象")
@Data
public class ChinaAreaVo {

    /**
     * 地区编码。
     */
    @Schema(description = "地区编码")
    private String code;

    /**
     * 地区名称。
     */
    @Schema(description = "地区名称")
    private String name;

    /**
     * 城市编码。
     */
    @Schema(description = "城市编码")
    private Long cityCode;

    /**
     * 城市名称。
     */
    @Schema(description = "城市名称")
    private String cityName;

    /**
     * 省编码。
     */
    @Schema(description = "省编码")
    private Long provinceCode;

    /**
     * 省名称。
     */
    @Schema(description = "省名称")
    private String provinceName;

    /**
     * 国家。
     */
    @Schema(description = "国家")
    private String country;

    /**
     * 等级 1：省,2：市,3：区县。
     */
    @Schema(description = "等级 1：省,2：市,3：区县")
    private Long level;
}
