package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 国家地区编码表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "国家地区编码表VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class CountryCodeVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private String id;

    /**
     * 英文名称。
     */
    @Schema(description = "英文名称")
    private String englishName;

    /**
     * 国家/地区。
     */
    @Schema(description = "国家/地区")
    private String country;

    /**
     * 国家代码。
     */
    @Schema(description = "国家代码")
    private String countryCode;

    /**
     * 区号。
     */
    @Schema(description = "区号")
    private String areaCode;

    /**
     * 拼音。
     */
    @Schema(description = "拼音")
    private String pinYin;

    /**
     * 拼音首字母。
     */
    @Schema(description = "拼音首字母")
    private String firstCode;
}
