package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 业务banner管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "业务banner管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourBusinessBannerVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * banner名称。
     */
    @Schema(description = "banner名称")
    private String bannerName;

    /**
     * 业务名称。
     */
    @Schema(description = "业务名称")
    private Long businessType;

    /**
     * 是否启用，0否，1是。
     */
    @Schema(description = "是否启用，0否，1是")
    private Integer enable;

    /**
     * 是否主banner，0否，1是。
     */
    @Schema(description = "是否主banner，0否，1是")
    private Integer mainBanner;

    /**
     * 图片URL。
     */
    @Schema(description = "图片URL")
    private String imgUrl;

    /**
     * 跳转链接。
     */
    @Schema(description = "跳转链接")
    private String bannerUrl;

    /**
     * banner排序。
     */
    @Schema(description = "banner排序")
    private Integer showOrder;

    /**
     * 删除标记(1: 正常 -1: 已删除)。
     */
    @Schema(description = "删除标记(1: 正常 -1: 已删除)")
    private Integer dataState;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * mainBanner 常量字典关联数据。
     */
    @Schema(description = "mainBanner 常量字典关联数据")
    private Map<String, Object> mainBannerDictMap;

    /**
     * businessType 全局字典关联数据。
     */
    @Schema(description = "businessType 全局字典关联数据")
    private Map<String, Object> businessTypeDictMap;
}
