package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 包车司机VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "包车司机VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourCarDriverVo extends BaseVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private String id;

    /**
     * 司机名称。
     */
    @Schema(description = "司机名称")
    private String name;

    /**
     * 性别。
     */
    @Schema(description = "性别")
    private Integer sex;

    /**
     * 年龄。
     */
    @Schema(description = "年龄")
    private String age;

    /**
     * 驾龄。
     */
    @Schema(description = "驾龄")
    private Integer drivingYears;

    /**
     * 司机照片。
     */
    @Schema(description = "司机照片")
    private String image;

    /**
     * 评分。
     */
    @Schema(description = "评分")
    private Integer mark;

    /**
     * 热度值。
     */
    @Schema(description = "热度值")
    private Integer hotValue;

    /**
     * 组织id。
     */
    @Schema(description = "组织id")
    private Long deptId;

    /**
     * 联系方式。
     */
    @Schema(description = "联系方式")
    private String mobile;

    /**
     * 司机类型(1.自营;2.第三方)。
     */
    @Schema(description = "司机类型(1.自营;2.第三方)")
    private Integer type;

    /**
     * 所属区域。
     */
    @Schema(description = "所属区域")
    private Long belongTab;

    /**
     * 平均分（四舍五入）
     */
    @Schema(description = "平均分（四舍五入）")
    private Integer score;

    /**
     * deptId 的一对一关联数据对象，数据对应类型为SysDeptVo。
     */
    @Schema(description = "deptId 的一对一关联数据对象，数据对应类型为SysDeptVo")
    private Map<String, Object> sysDept;

    /**
     * belongTab 字典关联数据。
     */
    @Schema(description = "belongTab 字典关联数据")
    private Map<String, Object> belongTabDictMap;

    /**
     * type 常量字典关联数据。
     */
    @Schema(description = "type 常量字典关联数据")
    private Map<String, Object> typeDictMap;

    /**
     * sex 全局字典关联数据。
     */
    @Schema(description = "sex 全局字典关联数据")
    private Map<String, Object> sexDictMap;
}
