package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 包车车型VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "包车车型VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourCarModelVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private String id;

    /**
     * 车型名称。
     */
    @Schema(description = "车型名称")
    private String typeName;

    /**
     * 车型图片。
     */
    @Schema(description = "车型图片")
    private String typeUrl;

    /**
     * 是否启用。
     */
    @Schema(description = "0启用，1禁用")
    private Integer enable;

    /**
     * 排序。
     */
    @Schema(description = "排序")
    private Integer showOrder;

    /**
     * 删除标记(1: 正常 -1: 已删除)。
     */
    @Schema(description = "删除标记(1: 正常 -1: 已删除)")
    private Integer dataState;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;
}
