package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 房屋知识信息管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "房屋知识信息管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourHoeseKnowledgeInfoVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * 知识类型 0买房 1装修。
     */
    @Schema(description = "知识类型 0买房 1装修")
    private Integer type;

    /**
     * 知识标题。
     */
    @Schema(description = "知识标题")
    private String title;

    /**
     * 知识内容。
     */
    @Schema(description = "知识内容")
    private String content;

    /**
     * 是否启用，0禁用，1启用。
     */
    @Schema(description = "是否启用，0禁用，1启用")
    private Integer enable;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * type 全局字典关联数据。
     */
    @Schema(description = "type 全局字典关联数据")
    private Map<String, Object> typeDictMap;
}
