package com.tourism.webadmin.back.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

/**
 * 房屋顾问信息管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "房屋顾问信息管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourHouseAdvisorInfoVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * 所属开发商。
     */
    @Schema(description = "所属开发商")
    private Long developersId;

    /**
     * 顾问类型 0.顾问 1.房东。
     */
    @Schema(description = "顾问类型 0.顾问 1.房东")
    private Integer type;

    /**
     * 姓名。
     */
    @Schema(description = "姓名")
    private String name;

    /**
     * 行业经验年限。
     */
    @Schema(description = "行业经验年限")
    private Integer experienceAge;

    /**
     * 成功交房数量。
     */
    @Schema(description = "成功交房数量")
    private Integer successfulDeliveryCount;

    /**
     * 是否金牌顾问 0不是 1是。
     */
    @Schema(description = "是否金牌顾问 0不是 1是")
    private Integer isGoldAdvisor;

    /**
     * 头像url。
     */
    @Schema(description = "头像url")
    private String avatarUrl;


    /**
     * 备案编号。
     */
    @Schema(description = "备案编号")
    private String recordNumber;

    /**
     * 公司名称。
     */
    @Schema(description = "公司名称")
    private String companyName;

    /**
     * 二维码。
     */
    @Schema(description = "二维码")
    private String code;

    /**
     * 是否启用，0禁用，1启用。
     */
    @Schema(description = "是否启用，0禁用，1启用")
    private Integer enable;

    /**
     * 手机号。
     */
    @Schema(description = "手机号")
    private String mobile;

    /**
     * developersId 字典关联数据。
     */
    @Schema(description = "developersId 字典关联数据")
    private Map<String, Object> developersIdDictMap;

    /**
     * isGoldAdvisor 常量字典关联数据。
     */
    @Schema(description = "isGoldAdvisor 常量字典关联数据")
    private Map<String, Object> isGoldAdvisorDictMap;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * type 全局字典关联数据。
     */
    @Schema(description = "type 全局字典关联数据")
    private Map<String, Object> typeDictMap;

    /**
     * avatarUrlsAfterConvert 转换后的头像图片。
     */
    @Schema(description = "avatarUrlsAfterConvert 转换后的头像图片")
    @TableField(exist = false)
    private List<String> avatarUrlsAfterConvert;

    /**
     * covertCode 转换后的二维码图片。
     */
    @Schema(description = "covertCode 转换后的二维码图片")
    @TableField(exist = false)
    private String covertCode;

}
