package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * 买卖房与顾问的关联表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "买卖房与顾问的关联表VO视图对象")
@Data
public class TourHouseAdvisorRelationVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * 顾问id。
     */
    @Schema(description = "顾问id")
    private Long advisorId;

    /**
     * 房屋id。
     */
    @Schema(description = "房屋id")
    private Long houseId;

    /**
     * advisorId 的一对一关联数据对象，数据对应类型为TourHouseAdvisorInfo。
     */
    @Schema(description = "advisorId 的一对一关联数据对象，数据对应类型为TourHouseAdvisorInfo")
    private Map<String, Object> tourHouseAdvisorInfo;

    /**
     * houseId 的一对一关联数据对象，数据对应类型为TourHouseSaleInfo。
     */
    @Schema(description = "houseId 的一对一关联数据对象，数据对应类型为TourHouseSaleInfo")
    private Map<String, Object> tourHouseSaleInfo;
}
