package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 租售房区域菜单管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "租售房区域菜单管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourHouseAreaMenuVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 父级id。
     */
    @Schema(description = "父级id")
    private Long parentId;

    /**
     * 菜单等级。
     */
    @Schema(description = "菜单等级")
    private Integer levelNum;

    /**
     * 菜单名称。
     */
    @Schema(description = "菜单名称")
    private String levelName;

    /**
     * 显示顺序。
     */
    @Schema(description = "显示顺序")
    private Integer showOrder;

    /**
     * 是否启用，0禁用，1启用。
     */
    @Schema(description = "是否启用，0禁用，1启用")
    private Integer enable;

    /**
     * 租售类型：0：出售 1：租赁。
     */
    @Schema(description = "菜单类型：0：出售 1：租赁")
    private Integer type;

    /**
     * 是否热点，0非热点，1热点。
     */
    @Schema(description = "是否热点，0非热点，1热点")
    private Integer isHotspot;

    /**
     * 热门排序。
     */
    @Schema(description = "热门排序")
    private Integer hotOrder;

    /**
     * parentId 字典关联数据。
     */
    @Schema(description = "parentId 字典关联数据")
    private Map<String, Object> parentIdDictMap;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * isHotspot 常量字典关联数据。
     */
    @Schema(description = "isHotspot 常量字典关联数据")
    private Map<String, Object> isHotspotDictMap;

    /**
     * levelNum 全局字典关联数据。
     */
    @Schema(description = "levelNum 全局字典关联数据")
    private Map<String, Object> levelNumDictMap;

    /**
     * type 全局字典关联数据。
     */
    @Schema(description = "type 全局字典关联数据")
    private Map<String, Object> typeDictMap;
}
