package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

/**
 * 租赁房屋配套设施VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "租赁房屋配套设施VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourHouseEquipmentVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * 房屋表id。
     */
    @Schema(description = "房屋表id")
    private Long houseId;

    /**
     * 房屋详情图(多张图片)。
     */
    @Schema(description = "房屋详情图(多张图片)")
    private String houseDetailImage;

    /**
     * 冰箱。
     */
    @Schema(description = "冰箱")
    private Integer icebox;

    /**
     * 洗衣机。
     */
    @Schema(description = "洗衣机")
    private Integer washer;

    /**
     * 热水器。
     */
    @Schema(description = "热水器")
    private Integer calorifier;

    /**
     * 宽带。
     */
    @Schema(description = "宽带")
    private Integer broadband;

    /**
     * 沙发。
     */
    @Schema(description = "沙发")
    private Integer sofa;

    /**
     * 油烟机。
     */
    @Schema(description = "油烟机")
    private Integer rangeHood;

    /**
     * 燃气灶。
     */
    @Schema(description = "燃气灶")
    private Integer gasStove;

    /**
     * 做饭。
     */
    @Schema(description = "做饭")
    private Integer ableCook;

    /**
     * 电视。
     */
    @Schema(description = "电视")
    private Integer television;

    /**
     * 空调。
     */
    @Schema(description = "空调")
    private Integer airConditioner;

    /**
     * 衣柜。
     */
    @Schema(description = "衣柜")
    private Integer wardrobe;

    /**
     * 床。
     */
    @Schema(description = "床")
    private Integer bed;

    /**
     * 卫生间。
     */
    @Schema(description = "卫生间")
    private Integer restRoom;

    /**
     * 智能门锁。
     */
    @Schema(description = "智能门锁")
    private Integer smartDoorLock;

    /**
     * 阳台。
     */
    @Schema(description = "阳台")
    private Integer balcony;

    /**
     * 暖气。
     */
    @Schema(description = "暖气")
    private Integer heating;

    /**
     * 周边配套描述。
     */
    @Schema(description = "周边配套描述")
    private String surroundingSupport;

    /**
     * 周边配套的图片(多张图片)。
     */
    @Schema(description = "周边配套的图片(多张图片)")
    private String surroundingSupportImage;

    /**
     * 小区介绍。
     */
    @Schema(description = "小区介绍")
    private String plotIntroduction;

    /**
     * 小区介绍图片(多张图片)。
     */
    @Schema(description = "小区介绍图片(多张图片)")
    private String plotIntroductionImage;

    /**
     * icebox 常量字典关联数据。
     */
    @Schema(description = "icebox 常量字典关联数据")
    private Map<String, Object> iceboxDictMap;

    /**
     * washer 常量字典关联数据。
     */
    @Schema(description = "washer 常量字典关联数据")
    private Map<String, Object> washerDictMap;

    /**
     * calorifier 常量字典关联数据。
     */
    @Schema(description = "calorifier 常量字典关联数据")
    private Map<String, Object> calorifierDictMap;

    /**
     * broadband 常量字典关联数据。
     */
    @Schema(description = "broadband 常量字典关联数据")
    private Map<String, Object> broadbandDictMap;

    /**
     * sofa 常量字典关联数据。
     */
    @Schema(description = "sofa 常量字典关联数据")
    private Map<String, Object> sofaDictMap;

    /**
     * rangeHood 常量字典关联数据。
     */
    @Schema(description = "rangeHood 常量字典关联数据")
    private Map<String, Object> rangeHoodDictMap;

    /**
     * gasStove 常量字典关联数据。
     */
    @Schema(description = "gasStove 常量字典关联数据")
    private Map<String, Object> gasStoveDictMap;

    /**
     * ableCook 常量字典关联数据。
     */
    @Schema(description = "ableCook 常量字典关联数据")
    private Map<String, Object> ableCookDictMap;

    /**
     * television 常量字典关联数据。
     */
    @Schema(description = "television 常量字典关联数据")
    private Map<String, Object> televisionDictMap;

    /**
     * airConditioner 常量字典关联数据。
     */
    @Schema(description = "airConditioner 常量字典关联数据")
    private Map<String, Object> airConditionerDictMap;

    /**
     * wardrobe 常量字典关联数据。
     */
    @Schema(description = "wardrobe 常量字典关联数据")
    private Map<String, Object> wardrobeDictMap;

    /**
     * bed 常量字典关联数据。
     */
    @Schema(description = "bed 常量字典关联数据")
    private Map<String, Object> bedDictMap;

    /**
     * restRoom 常量字典关联数据。
     */
    @Schema(description = "restRoom 常量字典关联数据")
    private Map<String, Object> restRoomDictMap;

    /**
     * smartDoorLock 常量字典关联数据。
     */
    @Schema(description = "smartDoorLock 常量字典关联数据")
    private Map<String, Object> smartDoorLockDictMap;

    /**
     * balcony 常量字典关联数据。
     */
    @Schema(description = "balcony 常量字典关联数据")
    private Map<String, Object> balconyDictMap;

    /**
     * heating 常量字典关联数据。
     */
    @Schema(description = "heating 常量字典关联数据")
    private Map<String, Object> heatingDictMap;

    /**
     * 房屋详情图(转换后的多张图片)。
     */
    @Schema(description = "房屋详情图(转换后的多张图片)")
    private List<String> houseDetailConvertImage;

    /**
     * 周边配套的图片(转换后的多张图片)。
     */
    @Schema(description = "周边配套的图片(转换后的多张图片)")
    private List<String> surroundingSupportConvertImage;
    /**
     * 小区介绍图片(转换后的多张图片)。
     */
    @Schema(description = "小区介绍图片(转换后的多张图片)")
    private List<String> plotIntroductionConvertImage;
}
