package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 旅游订单游客VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourOrderPassenageVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourOrderPassenageVo extends BaseVo {

    /**
     * ID主键。
     */
    @Schema(description = "ID主键")
    private String id;

    /**
     * 中文姓名。
     */
    @Schema(description = "中文姓名")
    private String chineseName;

    /**
     * 英文姓名。
     */
    @Schema(description = "英文姓名")
    private String englishName;

    /**
     * 国籍。
     */
    @Schema(description = "国籍")
    private String nationality;

    /**
     * 生日。
     */
    @Schema(description = "生日")
    private Date birthday;

    /**
     * 手机号码。
     */
    @Schema(description = "手机号码")
    private String mobile;

    /**
     * 订单号信息。
     */
    @Schema(description = "订单号信息")
    private Long orderId;
}
