package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.Map;

/**
 * 开团申请列表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "开团申请列表VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourProjectGroupPurchaseApplyVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 项目id。
     */
    @Schema(description = "项目id")
    private Long projectId;

    /**
     * 用户Id。
     */
    @Schema(description = "用户Id")
    private Long tourUserId;

    /**
     * 申请时间。
     */
    @Schema(description = "申请时间")
    private Date applyTime;

    /**
     * 是否处理(0:未处理 1:已处理)。
     */
    @Schema(description = "是否处理(0:未处理 1:已处理)")
    private Integer isHandle;

    /**
     * 备注。
     */
    @Schema(description = "备注")
    private String remark;

    /**
     * projectId 的一对一关联数据对象，数据对应类型为TourismProjectVo。
     */
    @Schema(description = "projectId 的一对一关联数据对象，数据对应类型为TourismProjectVo")
    private Map<String, Object> tourismProject;

    /**
     * tourUserId 的一对一关联数据对象，数据对应类型为TourUserVo。
     */
    @Schema(description = "tourUserId 的一对一关联数据对象，数据对应类型为TourUserVo")
    private Map<String, Object> tourUser;

    /**
     * isHandle 全局字典关联数据。
     */
    @Schema(description = "isHandle 全局字典关联数据")
    private Map<String, Object> isHandleDictMap;
}
