package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

/**
 * 拼团首页bannerVO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "拼团首页bannerVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourProjectGroupPurchaseBannerVo extends BaseVo {

    /**
     * 主键。
     */
    @Schema(description = "主键")
    private Long id;

    /**
     * banner名称。
     */
    @Schema(description = "banner名称")
    private String bannerName;

    /**
     * 是否启用，0否，1是。
     */
    @Schema(description = "是否启用，0否，1是")
    private Integer enable;

    /**
     * 图片URL。
     */
    @Schema(description = "图片URL")
    private String imgUrl;

    /**
     * 旅游项目id。
     */
    @Schema(description = "旅游项目id")
    private String projectId;

    /**
     * banner排序。
     */
    @Schema(description = "banner排序")
    private Integer showOrder;

    /**
     * 类型(0.PC；1.H5)。
     */
    @Schema(description = "类型(0.PC；1.H5)")
    private Integer type;

    /**
     * projectId 的一对一关联数据对象，数据对应类型为TourismProjectVo。
     */
    @Schema(description = "projectId 的一对一关联数据对象，数据对应类型为TourismProjectVo")
    private Map<String, Object> tourismProject;

    /**
     * enable 常量字典关联数据。
     */
    @Schema(description = "enable 常量字典关联数据")
    private Map<String, Object> enableDictMap;

    /**
     * type 常量字典关联数据。
     */
    @Schema(description = "type 常量字典关联数据")
    private Map<String, Object> typeDictMap;

    /**
     * imgUrlAfterConvert 转换后的图片URL。
     */
    @Schema(description = "imgUrlsAfterConvert 转换后的图片URL")
    private String imgUrlAfterConvert;
}
