package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Map;
import java.util.List;

/**
 * 拼团设置从表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "拼团设置从表VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourProjectGroupPurchaseDetailVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 关联 拼团设置的code。
     */
    @Schema(description = "关联 拼团设置的code")
    private Long groupPurchaseCode;

    /**
     * 成人价格。
     */
    @Schema(description = "成人价格")
    private BigDecimal adultPrice;

    /**
     * 儿童价格。
     */
    @Schema(description = "儿童价格")
    private BigDecimal childrenPrice;

    /**
     * 阶梯的人数(下限)。
     */
    @Schema(description = "阶梯的人数(下限)")
    private Integer minCount;

    /**
     * 阶梯的人数(上限)。
     */
    @Schema(description = "阶梯的人数(上限)")
    private Integer maxCount;
}
