package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 拼团返利记录VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "拼团返利记录VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourProjectGroupPurchaseRebateVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 用户id。
     */
    @Schema(description = "用户id")
    private Long userId;

    /**
     * 拼团的id。
     */
    @Schema(description = "拼团的id")
    private Long groupPurchaseProgressId;

    /**
     * 订单id。
     */
    @Schema(description = "订单id")
    private Long orderId;

    /**
     * 返利的金额(+为增加;-为减少)。
     */
    @Schema(description = "返利的金额(+为增加;-为减少)")
    private BigDecimal price;

    /**
     * 返利的金额的单位。
     */
    @Schema(description = "返利的金额的单位")
    private BigDecimal priceUnit;

    /**
     * 返利变化的原因(0.邀请用户;1.邀请的用户取消;2.清空返利)。
     */
    @Schema(description = "返利变化的原因(0.邀请用户;1.邀请的用户取消;2.清空返利)")
    private Integer reason;

    /**
     * 返利变化的关联用户。
     */
    @Schema(description = "返利变化的关联用户")
    private Long reasonRelationUserid;

    /**
     * userId 的一对一关联数据对象，数据对应类型为TourUserVo。
     */
    @Schema(description = "userId 的一对一关联数据对象，数据对应类型为TourUserVo")
    private Map<String, Object> tourUser;

    /**
     * groupPurchaseProgressId 的一对一关联数据对象，数据对应类型为TourProjectGroupPurchaseVo。
     */
    @Schema(description = "groupPurchaseProgressId 的一对一关联数据对象，数据对应类型为TourProjectGroupPurchaseVo")
    private Map<String, Object> tourProjectGroupPurchase;

    /**
     * orderId 的一对一关联数据对象，数据对应类型为TourOrderVo。
     */
    @Schema(description = "orderId 的一对一关联数据对象，数据对应类型为TourOrderVo")
    private Map<String, Object> tourOrder;

    /**
     * reason 常量字典关联数据。
     */
    @Schema(description = "reason 常量字典关联数据")
    private Map<String, Object> reasonDictMap;

    /**
     * orderId 的一对一关联数据对象，数据对应类型为TourOrderVo。
     */
    @Schema(description = "orderId 的一对一关联数据对象，数据对应类型为TourOrderVo")
    private Map<String, Object> reasonRelationUser;
}
