package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.Map;

/**
 * 游记与项目关联VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "TourTravelNotesProjectRelationVO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourTravelNotesProjectRelationVo extends BaseVo {

    /**
     * Id主键。
     */
    @Schema(description = "Id主键")
    private String id;

    /**
     * 游记id。
     */
    @Schema(description = "游记id")
    private String travelNotesId;

    /**
     * 项目id。
     */
    @Schema(description = "项目id")
    private String projectId;

    /**
     * travelNotesId 的一对一关联数据对象，数据对应类型为TourTourismProjectTravelNotesVo。
     */
    @Schema(description = "travelNotesId 的一对一关联数据对象，数据对应类型为TourTourismProjectTravelNotesVo")
    private Map<String, Object> tourTourismProjectTravelNotes;

    /**
     * projectId 的一对一关联数据对象，数据对应类型为TourismProjectVo。
     */
    @Schema(description = "projectId 的一对一关联数据对象，数据对应类型为TourismProjectVo")
    private Map<String, Object> tourismProject;
}
