package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 签证顾问信息VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "签证顾问信息VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourVisaCounselorVo extends BaseVo {

    /**
     * 顾问id。
     */
    @Schema(description = "顾问id")
    private String id;

    /**
     * 顾问头像。
     */
    @Schema(description = "顾问头像")
    private String counselorAvatar;

    /**
     * 顾问电话。
     */
    @Schema(description = "顾问电话")
    private String counselorPhone;

    /**
     * 顾问微信。
     */
    @Schema(description = "顾问微信")
    private String counselorWechat;

    /**
     * 顾问姓名。
     */
    @Schema(description = "顾问姓名")
    private String counselorName;

    /**
     * 级别。
     */
    @Schema(description = "级别")
    private Integer level;

    /**
     * 上班时间。
     */
    @Schema(description = "上班时间")
    private Integer start;

    /**
     * 下班时间。
     */
    @Schema(description = "下班时间")
    private Integer end;

    /**
     * 首页显示顾问。
     */
    @Schema(description = "首页显示顾问")
    private Integer indexFlag;

    /**
     * level 常量字典关联数据。
     */
    @Schema(description = "level 常量字典关联数据")
    private Map<String, Object> levelDictMap;

    /**
     * indexFlag 常量字典关联数据。
     */
    @Schema(description = "indexFlag 常量字典关联数据")
    private Map<String, Object> indexFlagDictMap;
}
