package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;
import java.util.List;

/**
 * 签证信息管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "签证信息管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourVisaVo extends BaseVo {

    /**
     * 签证id。
     */
    @Schema(description = "签证id")
    private String id;

    /**
     * 图片地址。
     */
    @Schema(description = "图片地址")
    private String img;

    /**
     * 名称。
     */
    @Schema(description = "名称")
    private String visaTitle;

    /**
     * 类型id。
     */
    @Schema(description = "类型id")
    private String visaTypeId;

    /**
     * 国家编码。
     */
    @Schema(description = "国家编码")
    private String countryCodeId;

    /**
     * 使馆名称。
     */
    @Schema(description = "使馆名称")
    private String embassyName;

    /**
     * 使馆地址。
     */
    @Schema(description = "使馆地址")
    private String embassyAddress;

    /**
     * 是否面签 0 是 1否。
     */
    @Schema(description = "是否面签 0 是 1否")
    private Integer interviewFlag;

    /**
     * 有效期（日）。
     */
    @Schema(description = "有效期（日）")
    private Integer validity;

    /**
     * 停留天数。
     */
    @Schema(description = "停留天数")
    private Integer idleDays;

    /**
     * 预计办理天数。
     */
    @Schema(description = "预计办理天数")
    private Integer processingDays;

    /**
     * 预计价格。
     */
    @Schema(description = "预计价格")
    private Integer floorPrice;

    /**
     * 受理范围。
     */
    @Schema(description = "受理范围")
    private String acceptanceRange;

    /**
     * 入境次数。
     */
    @Schema(description = "入境次数")
    private Integer entriesNum;

    /**
     * 预定须知。
     */
    @Schema(description = "预定须知")
    private String dataText;

    /**
     * 出签地编码。
     */
    @Schema(description = "出签地编码")
    private Long issueVisaCode;

    /**
     * 负责顾问。
     */
    @Schema(description = "负责顾问")
    private String counselorId;

    /**
     * 热门数据。
     */
    @Schema(description = "热门数据")
    private Integer hotValue;

    /**
     * VisaMetarialsList 的一对多关联表数据对象。数据对应类型为VisaMetarialsList。
     */
    @Schema(description = "VisaMetarialsList 的一对多关联表数据对象。数据对应类型为VisaMetarialsList")
    private List<Map<String, Object>> visaMetarialsListList;

    /**
     * id 字典关联数据。
     */
    @Schema(description = "id 字典关联数据")
    private Map<String, Object> idDictMap;

    /**
     * visaTypeId 字典关联数据。
     */
    @Schema(description = "visaTypeId 字典关联数据")
    private Map<String, Object> visaTypeIdDictMap;

    /**
     * countryCodeId 字典关联数据。
     */
    @Schema(description = "countryCodeId 字典关联数据")
    private Map<String, Object> countryCodeIdDictMap;

    /**
     * issueVisaCode 字典关联数据。
     */
    @Schema(description = "issueVisaCode 字典关联数据")
    private Map<String, Object> issueVisaCodeDictMap;

    /**
     * counselorId 字典关联数据。
     */
    @Schema(description = "counselorId 字典关联数据")
    private Map<String, Object> counselorIdDictMap;

    /**
     * interviewFlag 常量字典关联数据。
     */
    @Schema(description = "interviewFlag 常量字典关联数据")
    private Map<String, Object> interviewFlagDictMap;

    /**
     * hotValue 常量字典关联数据。
     */
    @Schema(description = "hotValue 常量字典关联数据")
    private Map<String, Object> hotValueDictMap;
}
