package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 发布游记的文本框VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "发布游记的文本框VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourismTravelNotesContentWriteVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 关联表id。
     */
    @Schema(description = "关联表id")
    private Long associationId;

    /**
     * 类型。
     */
    @Schema(description = "类型")
    private String type;

    /**
     * 内容。
     */
    @Schema(description = "内容")
    private String content;

    /**
     * 是否为封面图。
     */
    @Schema(description = "是否为封面图")
    private Integer cover;
}
