package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 签证基础资料管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "签证基础资料管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class VisaMetarialsListVo extends BaseVo {

    /**
     * 基础材料id。
     */
    @Schema(description = "基础材料id")
    private String id;

    /**
     * 签证商品id。
     */
    @Schema(description = "签证商品id")
    private String visaId;

    /**
     * 基础材料名字。
     */
    @Schema(description = "基础材料名字")
    private String title;

    /**
     * 基础材料介绍。
     */
    @Schema(description = "基础材料介绍")
    private String content;
}
