package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 拼团设置主表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "拼团设置主表VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class WebsiteProjectGroupPurchaseVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private String id;

    /**
     * 项目id。
     */
    @Schema(description = "项目id")
    private String projectId;

    /**
     * 拼团结束时间。
     */
    @Schema(description = "拼团结束时间")
    private Date endTime;

    /**
     * 拼团人数上限。
     */
    @Schema(description = "拼团人数上限")
    private Integer maxCount;

    /**
     * 成人价格。
     */
    @Schema(description = "成人价格")
    private BigDecimal adultPrice;

    /**
     * 显示顺序。
     */
    @Schema(description = "显示顺序")
    private Integer showOrder;

    /**
     * projectId 字典关联数据。
     */
    @Schema(description = "projectId 字典关联数据")
    private Map<String, Object> projectIdDictMap;

    /**
     * 距离截止时间，汉字
     */
    @Schema(description = "距离截止时间")
    private String distanceToDeadline;

    /**
     * 当前参与的拼团人数
     */
    @Schema(description = "当前参与的拼团人数")
    private Integer nowCount;
}
